<?php

// nom de la table gérée par ce modèle
define("TABLE", "Produits");

class Produits extends CI_Model {

    // variables membres = colonnes de la table
    public $nom;
    public $categorie;
    public $prix;

    // constructeur
    public function __construct()
    {
        // super()
        parent::__construct();

        // création de la table si elle n'existe pas déjà
        $this->load->dbforge();
        $colonnes = array(
            'nom'       => array('type' => 'VARCHAR'),
            'categorie' => array('type' => 'VARCHAR'),
            'prix'      => array('type' => 'REAL', 'null' => TRUE)
        );
        $this->dbforge->add_field($colonnes);
        $this->dbforge->add_key('nom', TRUE);   // clé primaire
        $this->dbforge->create_table(TABLE, TRUE);

        // charger les données
        $this->load->database();
    }

    // retourne la liste de tous les produits, triés par nom
    public function get_all()
    {
        $this->db->order_by('nom');
        $query = $this->db->get(TABLE);
        return $query->result();
    }
}
