<?php
class Test6 extends CI_Controller {

    // constructeur
    function __construct()
    {
        // super()
        parent::__construct();

        // inclure des fonctions comme redirect()
        $this->load->helper('url');

        // inclure des fonctions pour aider à gérer les formulaires
        $this->load->helper('form');
        $this->load->library('form_validation');

        // charger le modèle
        $this->load->model('produits', '', TRUE);
    }

    public function index()
    {
        // obtenir la liste de tous les produits
        $data['liste'] = $this->produits->get_all();

        // instancier la vue
        $this->load->view('haut');
        $this->load->view('test6a', $data);
        $this->load->view('bas');
    }

    public function nouveau()
    {
        // validité du formulaire
        $this->form_validation->set_rules('nom', 'Nom', 'required');
        $this->form_validation->set_rules('categ', 'Catégorie', 'required');

        // est-ce que c'est un retour du formulaire ?
        if ($this->form_validation->run() === FALSE) {
            // pas de retour ou champs invalides => afficher le formulaire
            $this->load->view('haut');
            $this->load->view('test6b', $_POST);
            $this->load->view('bas');
        } else {
            // retour des données => enregistrer le produit
            $this->produits->insert_POST();
            // afficher la liste
            redirect('/test6', 'refresh');
        }
    }

    public function categorie()
    {
        // validité du formulaire
        $this->form_validation->set_rules('categ', 'Catégorie', 'required');

        // est-ce que c'est un retour du formulaire ?
        if ($this->form_validation->run() === FALSE) {
            // pas de retour ou champs invalides => afficher le formulaire
            $data['liste'] = $this->produits->get_categories();

            $this->load->view('haut');
            $this->load->view('test6c', $data);
            $this->load->view('bas');
        } else {
            // retour des données => afficher la liste avec uniquement la catégorie
            $data['liste'] = $this->produits->get_all_categorie($_POST['categ']);

            // instancier la vue
            $this->load->view('haut');
            $this->load->view('test6a', $data);
            $this->load->view('bas');
        }
    }
}
